#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 linear-base
version:              0.1.0
visibility:           public
id:                   linear-base-0.1.0-KonKYBMxqe0ErGirUlZJ2U
key:                  linear-base-0.1.0-KonKYBMxqe0ErGirUlZJ2U
license:              MIT
copyright:            (c) Tweag Holding and affiliates
maintainer:           arnaud.spiwack@tweag.io
author:               Tweag
homepage:             https://github.com/tweag/linear-base#README
synopsis:             Standard library for linear types.
description:          Please see README.md.
category:             Prelude
abi:                  b3f93be2679293e55000f246ea8d3744
exposed:              True
exposed-modules:
    Control.Functor.Linear Control.Functor.Linear.Internal.Class
    Control.Functor.Linear.Internal.Instances
    Control.Functor.Linear.Internal.MonadTrans
    Control.Functor.Linear.Internal.Reader
    Control.Functor.Linear.Internal.State Control.Monad.IO.Class.Linear
    Control.Optics.Linear Control.Optics.Linear.Internal
    Control.Optics.Linear.Iso Control.Optics.Linear.Lens
    Control.Optics.Linear.Prism Control.Optics.Linear.Traversal
    Data.Array.Destination Data.Array.Mutable.Linear
    Data.Array.Mutable.Unlifted.Linear Data.Array.Polarized
    Data.Array.Polarized.Pull Data.Array.Polarized.Pull.Internal
    Data.Array.Polarized.Push Data.Bifunctor.Linear
    Data.Bifunctor.Linear.Internal.Bifunctor
    Data.Bifunctor.Linear.Internal.SymmetricMonoidal Data.Bool.Linear
    Data.Either.Linear Data.Functor.Linear
    Data.Functor.Linear.Internal.Applicative
    Data.Functor.Linear.Internal.Functor
    Data.Functor.Linear.Internal.Traversable
    Data.HashMap.Mutable.Linear Data.List.Linear Data.Maybe.Linear
    Data.Monoid.Linear Data.Monoid.Linear.Internal.Monoid
    Data.Monoid.Linear.Internal.Semigroup Data.Num.Linear
    Data.Ord.Linear Data.Ord.Linear.Internal.Eq
    Data.Ord.Linear.Internal.Ord Data.Profunctor.Kleisli.Linear
    Data.Profunctor.Linear Data.Set.Mutable.Linear Data.Tuple.Linear
    Data.Unrestricted.Internal.Consumable
    Data.Unrestricted.Internal.Dupable
    Data.Unrestricted.Internal.Instances
    Data.Unrestricted.Internal.Movable Data.Unrestricted.Internal.Ur
    Data.Unrestricted.Linear Data.V.Linear
    Data.V.Linear.Internal.Instances Data.V.Linear.Internal.V
    Data.Vector.Mutable.Linear Debug.Trace.Linear Foreign.Marshal.Pure
    Prelude.Linear Prelude.Linear.Internal Streaming.Internal.Consume
    Streaming.Internal.Interop Streaming.Internal.Many
    Streaming.Internal.Process Streaming.Internal.Produce
    Streaming.Internal.Type Streaming.Linear Streaming.Prelude.Linear
    System.IO.Linear System.IO.Resource Unsafe.Linear

import-dirs:          /usr/lib/ghc-9.0.1/site-local/linear-base-0.1.0
library-dirs:         /usr/lib/ghc-9.0.1/site-local/linear-base-0.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/linear-base-0.1.0
hs-libraries:         HSlinear-base-0.1.0-KonKYBMxqe0ErGirUlZJ2U
depends:
    base-4.15.0.0 containers-0.6.4.1 ghc-prim-0.7.0
    hashable-1.3.3.0-3L81lU2ygSqqBRC8gEHN5
    primitive-0.7.2.0-L2M9ZxTyF5LIOkGWBdcM6J
    storable-tuple-0.0.3.3-5Wr4bJuzWO17cxkmf7Bwkr text-1.2.4.1
    transformers-0.5.6.2 vector-0.12.3.1-4LU8STmHsbh153eRU0hKX2

haddock-interfaces:   /usr/share/doc/haskell-linear-base/html/linear-base.haddock
haddock-html:         /usr/share/doc/haskell-linear-base/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

